

#include "BUILTIN.h"

#include "Nat.h"

#include "Int.h"

#include "Real.h"

#include "IntConv.h"
extern OBJ _AIntConv_Sq(OBJ);OBJ __AIntConv_Sq; /* ` */
extern OBJ _AIntConv_AasNat(OBJ);OBJ __AIntConv_AasNat; /* asNat */
extern OBJ _AIntConv_AasReal(OBJ);OBJ __AIntConv_AasReal; /* asReal */

#include "IntConv.hc.c"

static OBJ _mt_1_0_1(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 return r;}
static OBJ _mt_1_0_1_l(OBJ t,OBJ t1) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ))ENTRY(t))(t1);
 COPY(r,1);LZYCLS(t,r);
 return r;}

init_AIntConv()
{
 static int visited=0; if(visited) return; visited=1;
 init_ANat();
 init_AInt();
 init_AReal();
 CLS(1,_AIntConv_3,__AIntConv_3);
 CLS(1,_AIntConv_2,__AIntConv_2);
 CLS(1,_AIntConv_1,__AIntConv_1);
 MTH(1,0,1,_mt_1_0_1);LZYMTH(1,0,1,_mt_1_0_1_l);
 init_const_AIntConv();}

